import { camelCase } from "es-toolkit";
export function getEndpointId(namespace, path, method, sdkMethodName, operationId, isWebhook) {
    if (path == null) {
        return undefined;
    }
    const endpointName = method != null && path != null
        ? `${method}/${path}`
        : method != null
            ? method
            : path;
    if (endpointName == null) {
        return undefined;
    }
    return `${isWebhook ? "subpackage_" : "endpoint_"}${namespace != null ? namespace.map((member) => camelCase(member)).join(".") : ""}.${camelCase(sdkMethodName ?? "") || operationId || camelCase(endpointName)}`;
}
